libetonyek::IWORKListLabelIndentsProperty Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListLabelIndentsProperty Class Reference

`#include <IWORKListLabelIndentsProperty.h>`

Inheritance diagram for libetonyek::IWORKListLabelIndentsProperty:

## Public Member Functions
| IWORKListLabelIndentsProperty (IWORKXMLParserState &state, std::deque< double > &elements)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
std::deque< double > & | m_elements
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

libetonyek::IWORKListLabelIndentsProperty::IWORKListLabelIndentsProperty | ( | IWORKXMLParserState & | state,
|  | std::deque< double > & | elements
| ) |  |

## Member Function Documentation

IWORKXMLContextPtr_t libetonyek::IWORKListLabelIndentsProperty::element | ( | int | name | ) |
| privatevirtual

void libetonyek::IWORKListLabelIndentsProperty::endOfElement | ( |  | ) |
| privatevirtual

## Member Data Documentation

std::deque<double>& libetonyek::IWORKListLabelIndentsProperty::m_elements
| private

Referenced by element(), and endOfElement().

boost::optional<ID_t> libetonyek::IWORKListLabelIndentsProperty::m_ref
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKListLabelIndentsProperty.h
- IWORKListLabelIndentsProperty.cpp